> ## Documentation Index
> Fetch the complete documentation index at: https://docs.artu.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create or update multiple transactions by external ID



## OpenAPI

````yaml /openapi/transactions.json put /transactions/batch/external
openapi: 3.1.1
info:
  title: ARTU Compliance API
  version: 1.0.0
  description: 'API for compliance management. Documentation: https://docs.artu.ai'
servers:
  - url: https://api.artu.ai
security:
  - bearerAuth: []
    environmentHeader: []
paths:
  /transactions/batch/external:
    put:
      tags:
        - Transactions
      summary: Create or update multiple transactions by external ID
      operationId: transactions.upsertManyByExternalId
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                items:
                  type: array
                  minItems: 1
                  maxItems: 250
                  items:
                    allOf:
                      - type: object
                        properties:
                          status:
                            enum:
                              - not_applicable
                              - pending
                              - completed
                              - failed
                              - cancelled
                            type: string
                            description: Status
                            default: not_applicable
                          amount:
                            anyOf:
                              - type: number
                              - type: string
                            description: Amount
                          currency:
                            type: string
                            description: Currency
                          exchangeRates:
                            type: object
                            propertyNames:
                              type: string
                            additionalProperties:
                              anyOf:
                                - type: number
                                  exclusiveMinimum: 0
                                - type: string
                            description: Exchange Rates
                          relatedClientIds:
                            anyOf:
                              - type: string
                                format: uuid
                              - type: array
                                minItems: 1
                                items:
                                  type: string
                                  format: uuid
                              - type: array
                                minItems: 1
                                items:
                                  type: object
                                  properties:
                                    clientId:
                                      type: string
                                      format: uuid
                                    role:
                                      enum:
                                        - base
                                        - counterparty
                                        - guarantor
                                      type: string
                                    metadata:
                                      type: object
                                      propertyNames:
                                        type: string
                                      additionalProperties: {}
                                  required:
                                    - clientId
                            description: Related Clients
                          timestamp:
                            anyOf:
                              - type: string
                                format: date-time
                              - type: string
                                format: date-time
                            description: Timestamp
                          externalId:
                            type: string
                            description: External ID
                          description:
                            type: string
                            description: Description
                          productId:
                            type: string
                            format: uuid
                            description: Product ID
                          metadata:
                            type: object
                            propertyNames:
                              type: string
                            additionalProperties: {}
                            description: Metadata
                          scopes:
                            type: array
                            minItems: 1
                            items:
                              enum:
                                - base
                                - MX:AV
                                - MX:AV:ARI
                                - MX:AV:AVI
                                - MX:AV:INM
                                - MX:AV:JYS
                                - MX:AV:MJR
                                - MX:AV:MPC
                                - MX:AV:TSC
                                - MX:AV:VEH
                                - MX:CNBV
                                - MX:CNBV:TRANSMISOR
                                - MX
                              type: string
                          scopeData:
                            type: object
                            properties:
                              MX:
                                type: object
                                properties:
                                  actividadVulnerable:
                                    type: object
                                    properties:
                                      ARI:
                                        type: object
                                        properties:
                                          operationType:
                                            enum:
                                              - '1501'
                                            type: string
                                            default: '1501'
                                            description: Operation Type
                                          property:
                                            type: object
                                            properties:
                                              type:
                                                enum:
                                                  - '1'
                                                  - '2'
                                                  - '3'
                                                  - '4'
                                                  - '5'
                                                  - '6'
                                                  - '7'
                                                  - '8'
                                                  - '9'
                                                  - '10'
                                                  - '11'
                                                  - '12'
                                                  - '13'
                                                  - '14'
                                                  - '15'
                                                  - '16'
                                                  - '17'
                                                  - '18'
                                                  - '99'
                                                type: string
                                                description: Property Type
                                              leaseStartDate:
                                                type: string
                                                format: date
                                                description: Lease Start Date
                                              leaseEndDate:
                                                type: string
                                                format: date
                                                description: Lease End Date
                                              value:
                                                anyOf:
                                                  - type: number
                                                    exclusiveMinimum: 0
                                                  - type: string
                                                description: Property Value
                                              colonia:
                                                type: string
                                                maxLength: 50
                                                description: Property Colonia
                                              calle:
                                                type: string
                                                maxLength: 100
                                                description: Property Street
                                              numeroExterior:
                                                type: string
                                                maxLength: 56
                                                description: Property Exterior Number
                                              numeroInterior:
                                                type: string
                                                maxLength: 40
                                                description: Property Interior Number
                                              postalCode:
                                                type: string
                                                pattern: ^\d{5}$
                                                description: Property Postal Code
                                              folioReal:
                                                type: string
                                                maxLength: 200
                                                description: Folio Real
                                            required:
                                              - type
                                              - leaseStartDate
                                              - leaseEndDate
                                              - value
                                              - colonia
                                              - calle
                                              - numeroExterior
                                              - postalCode
                                              - folioReal
                                            description: Property Details
                                          payments:
                                            type: array
                                            minItems: 1
                                            items:
                                              type: object
                                              properties:
                                                paymentDate:
                                                  type: string
                                                  format: date
                                                  description: Payment Date
                                                paymentForm:
                                                  enum:
                                                    - '1'
                                                    - '2'
                                                    - '3'
                                                    - '4'
                                                    - '5'
                                                  type: string
                                                  description: Payment Form
                                                monetaryInstrument:
                                                  enum:
                                                    - '1'
                                                    - '2'
                                                    - '3'
                                                    - '4'
                                                    - '5'
                                                    - '6'
                                                    - '7'
                                                    - '8'
                                                    - '9'
                                                    - '10'
                                                    - '11'
                                                    - '12'
                                                    - '13'
                                                    - '14'
                                                    - '15'
                                                    - '16'
                                                    - '99'
                                                  type: string
                                                  description: Monetary Instrument
                                                currency:
                                                  type: string
                                                  description: Currency
                                                amount:
                                                  anyOf:
                                                    - {}
                                                    - {}
                                                  description: Amount
                                              required:
                                                - paymentForm
                                                - monetaryInstrument
                                                - currency
                                            description: Payments
                                        required:
                                          - property
                                          - payments
                                      AVI:
                                        anyOf:
                                          - type: object
                                            properties:
                                              operationType:
                                                const: buy
                                                description: Operation Type
                                              hash:
                                                type: string
                                                minLength: 1
                                                maxLength: 2000
                                                description: Hash
                                              cryptoCurrency:
                                                type: string
                                                description: Crypto Currency
                                              cryptoAmount:
                                                anyOf:
                                                  - type: number
                                                    exclusiveMinimum: 0
                                                  - type: string
                                                description: Crypto Amount
                                            required:
                                              - operationType
                                              - hash
                                              - cryptoCurrency
                                              - cryptoAmount
                                          - type: object
                                            properties:
                                              operationType:
                                                const: sell
                                                description: Operation Type
                                              hash:
                                                type: string
                                                minLength: 1
                                                maxLength: 2000
                                                description: Hash
                                              cryptoCurrency:
                                                type: string
                                                description: Crypto Currency
                                              cryptoAmount:
                                                anyOf:
                                                  - type: number
                                                    exclusiveMinimum: 0
                                                  - type: string
                                                description: Crypto Amount
                                            required:
                                              - operationType
                                              - hash
                                              - cryptoCurrency
                                              - cryptoAmount
                                          - type: object
                                            properties:
                                              operationType:
                                                const: exchange
                                                description: Operation Type
                                              hash:
                                                type: string
                                                minLength: 1
                                                maxLength: 2000
                                                description: Hash
                                              cryptoCurrency:
                                                type: string
                                                description: Crypto Currency
                                              cryptoAmount:
                                                anyOf:
                                                  - type: number
                                                    exclusiveMinimum: 0
                                                  - type: string
                                                description: Crypto Amount
                                            required:
                                              - operationType
                                              - hash
                                              - cryptoCurrency
                                              - cryptoAmount
                                          - type: object
                                            properties:
                                              operationType:
                                                const: transfer
                                                description: Operation Type
                                              hash:
                                                type: string
                                                minLength: 1
                                                maxLength: 2000
                                                description: Hash
                                              transferDirection:
                                                enum:
                                                  - enviada
                                                  - recibida
                                                type: string
                                                description: Transfer Direction
                                                default: enviada
                                            required:
                                              - operationType
                                              - hash
                                          - type: object
                                            properties:
                                              operationType:
                                                const: deposit
                                                description: Operation Type
                                              monetaryInstrument:
                                                enum:
                                                  - '1'
                                                  - '2'
                                                  - '3'
                                                  - '4'
                                                  - '5'
                                                  - '6'
                                                  - '7'
                                                  - '99'
                                                type: string
                                                description: Monetary Instrument
                                            required:
                                              - operationType
                                              - monetaryInstrument
                                          - type: object
                                            properties:
                                              operationType:
                                                const: withdrawal
                                                description: Operation Type
                                              monetaryInstrument:
                                                enum:
                                                  - '1'
                                                  - '2'
                                                  - '3'
                                                  - '4'
                                                  - '5'
                                                  - '6'
                                                  - '7'
                                                  - '99'
                                                type: string
                                                description: Monetary Instrument
                                            required:
                                              - operationType
                                              - monetaryInstrument
                                      INM:
                                        type: object
                                        properties:
                                          operationType:
                                            enum:
                                              - '501'
                                            type: string
                                            default: '501'
                                            description: Operation Type
                                          figuraCliente:
                                            enum:
                                              - '1'
                                              - '2'
                                            type: string
                                            description: Figura Cliente
                                          figuraSO:
                                            enum:
                                              - '1'
                                              - '2'
                                              - '3'
                                            type: string
                                            description: Figura SO
                                          inmuebles:
                                            type: array
                                            minItems: 1
                                            items:
                                              type: object
                                              properties:
                                                type:
                                                  enum:
                                                    - '1'
                                                    - '2'
                                                    - '3'
                                                    - '4'
                                                    - '5'
                                                    - '6'
                                                    - '7'
                                                    - '8'
                                                    - '9'
                                                    - '10'
                                                    - '11'
                                                    - '12'
                                                    - '13'
                                                    - '14'
                                                    - '15'
                                                    - '16'
                                                    - '17'
                                                    - '18'
                                                    - '99'
                                                  type: string
                                                  description: Property Type
                                                value:
                                                  anyOf:
                                                    - {}
                                                    - {}
                                                  description: Agreed Value (valor_pactado)
                                                colonia:
                                                  type: string
                                                  minLength: 1
                                                  maxLength: 50
                                                  description: Neighborhood (Colonia)
                                                calle:
                                                  type: string
                                                  minLength: 1
                                                  maxLength: 100
                                                  description: Street
                                                numeroExterior:
                                                  type: string
                                                  minLength: 1
                                                  maxLength: 56
                                                  description: Numero Exterior
                                                numeroInterior:
                                                  type: string
                                                  maxLength: 40
                                                  description: Numero Interior
                                                postalCode:
                                                  type: string
                                                  description: Postal Code
                                                dimensionTerreno:
                                                  anyOf:
                                                    - {}
                                                    - {}
                                                  description: Terrain Dimension (m²)
                                                dimensionConstruido:
                                                  anyOf:
                                                    - {}
                                                    - {}
                                                  description: Built Dimension (m²)
                                                folioReal:
                                                  type: string
                                                  minLength: 1
                                                  maxLength: 200
                                                  description: Folio Real
                                              required:
                                                - type
                                                - colonia
                                                - calle
                                                - numeroExterior
                                                - postalCode
                                                - folioReal
                                            description: Real Estate Properties
                                          contract:
                                            anyOf:
                                              - type: object
                                                properties:
                                                  type:
                                                    const: notarial
                                                  instrumentNumber:
                                                    type: string
                                                    minLength: 1
                                                    maxLength: 20
                                                    description: Instrument Number
                                                  instrumentDate:
                                                    type: string
                                                    format: date
                                                    description: Instrument Date
                                                  notaryNumber:
                                                    type: string
                                                    minLength: 1
                                                    maxLength: 8
                                                    description: Notary Number
                                                  notaryStateCode:
                                                    enum:
                                                      - '1'
                                                      - '2'
                                                      - '3'
                                                      - '4'
                                                      - '5'
                                                      - '6'
                                                      - '7'
                                                      - '8'
                                                      - '9'
                                                      - '10'
                                                      - '11'
                                                      - '12'
                                                      - '13'
                                                      - '14'
                                                      - '15'
                                                      - '16'
                                                      - '17'
                                                      - '18'
                                                      - '19'
                                                      - '20'
                                                      - '21'
                                                      - '22'
                                                      - '23'
                                                      - '24'
                                                      - '25'
                                                      - '26'
                                                      - '27'
                                                      - '28'
                                                      - '29'
                                                      - '30'
                                                      - '31'
                                                      - '32'
                                                    type: string
                                                    description: Notary State
                                                  cadastralValue:
                                                    anyOf:
                                                      - {}
                                                      - {}
                                                    description: Cadastral / Appraisal Value
                                                required:
                                                  - type
                                                  - instrumentNumber
                                                  - instrumentDate
                                                  - notaryNumber
                                                  - notaryStateCode
                                              - type: object
                                                properties:
                                                  type:
                                                    const: private
                                                  contractDate:
                                                    type: string
                                                    format: date
                                                    description: Contract Date
                                                required:
                                                  - type
                                                  - contractDate
                                            description: Contract
                                          payments:
                                            type: array
                                            items:
                                              type: object
                                              properties:
                                                paymentDate:
                                                  type: string
                                                  format: date
                                                  description: Payment Date
                                                paymentForm:
                                                  enum:
                                                    - '1'
                                                    - '2'
                                                    - '3'
                                                    - '4'
                                                    - '5'
                                                  type: string
                                                  description: Payment Form
                                                monetaryInstrument:
                                                  enum:
                                                    - '1'
                                                    - '2'
                                                    - '3'
                                                    - '4'
                                                    - '5'
                                                    - '6'
                                                    - '7'
                                                    - '8'
                                                    - '9'
                                                    - '10'
                                                    - '11'
                                                    - '12'
                                                    - '13'
                                                    - '14'
                                                    - '15'
                                                    - '16'
                                                    - '99'
                                                  type: string
                                                  description: Monetary Instrument
                                                currency:
                                                  type: string
                                                  description: Currency
                                                amount:
                                                  anyOf:
                                                    - {}
                                                    - {}
                                                  description: Amount
                                              required:
                                                - paymentForm
                                                - monetaryInstrument
                                                - currency
                                            description: Payments
                                        required:
                                          - figuraCliente
                                          - figuraSO
                                          - inmuebles
                                          - contract
                                      JYS:
                                        anyOf:
                                          - type: object
                                            properties:
                                              branchInformation:
                                                anyOf:
                                                  - type: object
                                                    properties:
                                                      type: {}
                                                      postalCode: {}
                                                  - type: object
                                                    properties:
                                                      type: {}
                                                      postalCode: {}
                                                      operatorName: {}
                                                description: Branch Information
                                              operationType:
                                                enum:
                                                  - '101'
                                                  - '102'
                                                  - '103'
                                                type: string
                                                description: Operation Type
                                              businessLine:
                                                enum:
                                                  - '1'
                                                  - '2'
                                                  - '3'
                                                  - '4'
                                                  - '5'
                                                  - '6'
                                                  - '7'
                                                  - '8'
                                                  - '9'
                                                  - '10'
                                                type: string
                                                description: Business Line
                                              operationMethod:
                                                enum:
                                                  - '1'
                                                  - '2'
                                                  - '3'
                                                  - '4'
                                                  - '5'
                                                type: string
                                                description: Operation Method
                                              settlementType:
                                                const: cash
                                                description: Settlement Type
                                              monetaryInstrument:
                                                enum:
                                                  - '1'
                                                  - '2'
                                                  - '3'
                                                  - '4'
                                                  - '5'
                                                  - '6'
                                                  - '7'
                                                  - '8'
                                                  - '9'
                                                  - '10'
                                                  - '11'
                                                  - '12'
                                                  - '13'
                                                  - '14'
                                                  - '15'
                                                  - '16'
                                                type: string
                                                description: Monetary Instrument
                                            required:
                                              - branchInformation
                                              - operationType
                                              - businessLine
                                              - operationMethod
                                              - settlementType
                                              - monetaryInstrument
                                          - anyOf:
                                              - type: object
                                                properties:
                                                  branchInformation:
                                                    anyOf:
                                                      - {}
                                                      - {}
                                                    description: Branch Information
                                                  operationType:
                                                    enum:
                                                      - '101'
                                                      - '102'
                                                      - '103'
                                                    type: string
                                                    description: Operation Type
                                                  businessLine:
                                                    enum:
                                                      - '1'
                                                      - '2'
                                                      - '3'
                                                      - '4'
                                                      - '5'
                                                      - '6'
                                                      - '7'
                                                      - '8'
                                                      - '9'
                                                      - '10'
                                                    type: string
                                                    description: Business Line
                                                  operationMethod:
                                                    enum:
                                                      - '1'
                                                      - '2'
                                                      - '3'
                                                      - '4'
                                                      - '5'
                                                    type: string
                                                    description: Operation Method
                                                  settlementType:
                                                    const: in-kind
                                                    description: Settlement Type
                                                  assetType:
                                                    const: '1'
                                                    description: Asset Type
                                                  realEstateType:
                                                    enum:
                                                      - '1'
                                                      - '2'
                                                      - '3'
                                                      - '4'
                                                      - '5'
                                                      - '6'
                                                      - '7'
                                                      - '8'
                                                      - '9'
                                                      - '10'
                                                      - '11'
                                                      - '12'
                                                      - '13'
                                                      - '14'
                                                      - '15'
                                                      - '16'
                                                      - '17'
                                                      - '18'
                                                      - '99'
                                                    type: string
                                                    description: Real Estate Type
                                                required:
                                                  - operationType
                                                  - businessLine
                                                  - operationMethod
                                                  - settlementType
                                                  - assetType
                                                  - realEstateType
                                              - type: object
                                                properties:
                                                  branchInformation:
                                                    anyOf:
                                                      - {}
                                                      - {}
                                                    description: Branch Information
                                                  operationType:
                                                    enum:
                                                      - '101'
                                                      - '102'
                                                      - '103'
                                                    type: string
                                                    description: Operation Type
                                                  businessLine:
                                                    enum:
                                                      - '1'
                                                      - '2'
                                                      - '3'
                                                      - '4'
                                                      - '5'
                                                      - '6'
                                                      - '7'
                                                      - '8'
                                                      - '9'
                                                      - '10'
                                                    type: string
                                                    description: Business Line
                                                  operationMethod:
                                                    enum:
                                                      - '1'
                                                      - '2'
                                                      - '3'
                                                      - '4'
                                                      - '5'
                                                    type: string
                                                    description: Operation Method
                                                  settlementType:
                                                    const: in-kind
                                                  assetType:
                                                    const: '2'
                                                required:
                                                  - operationType
                                                  - businessLine
                                                  - operationMethod
                                                  - settlementType
                                                  - assetType
                                              - type: object
                                                properties:
                                                  branchInformation:
                                                    anyOf:
                                                      - {}
                                                      - {}
                                                    description: Branch Information
                                                  operationType:
                                                    enum:
                                                      - '101'
                                                      - '102'
                                                      - '103'
                                                    type: string
                                                    description: Operation Type
                                                  businessLine:
                                                    enum:
                                                      - '1'
                                                      - '2'
                                                      - '3'
                                                      - '4'
                                                      - '5'
                                                      - '6'
                                                      - '7'
                                                      - '8'
                                                      - '9'
                                                      - '10'
                                                    type: string
                                                    description: Business Line
                                                  operationMethod:
                                                    enum:
                                                      - '1'
                                                      - '2'
                                                      - '3'
                                                      - '4'
                                                      - '5'
                                                    type: string
                                                    description: Operation Method
                                                  settlementType:
                                                    const: in-kind
                                                  assetType:
                                                    const: '3'
                                                required:
                                                  - operationType
                                                  - businessLine
                                                  - operationMethod
                                                  - settlementType
                                                  - assetType
                                              - type: object
                                                properties:
                                                  branchInformation:
                                                    anyOf:
                                                      - {}
                                                      - {}
                                                    description: Branch Information
                                                  operationType:
                                                    enum:
                                                      - '101'
                                                      - '102'
                                                      - '103'
                                                    type: string
                                                    description: Operation Type
                                                  businessLine:
                                                    enum:
                                                      - '1'
                                                      - '2'
                                                      - '3'
                                                      - '4'
                                                      - '5'
                                                      - '6'
                                                      - '7'
                                                      - '8'
                                                      - '9'
                                                      - '10'
                                                    type: string
                                                    description: Business Line
                                                  operationMethod:
                                                    enum:
                                                      - '1'
                                                      - '2'
                                                      - '3'
                                                      - '4'
                                                      - '5'
                                                    type: string
                                                    description: Operation Method
                                                  settlementType:
                                                    const: in-kind
                                                  assetType:
                                                    const: '4'
                                                required:
                                                  - operationType
                                                  - businessLine
                                                  - operationMethod
                                                  - settlementType
                                                  - assetType
                                              - type: object
                                                properties:
                                                  branchInformation:
                                                    anyOf:
                                                      - {}
                                                      - {}
                                                    description: Branch Information
                                                  operationType:
                                                    enum:
                                                      - '101'
                                                      - '102'
                                                      - '103'
                                                    type: string
                                                    description: Operation Type
                                                  businessLine:
                                                    enum:
                                                      - '1'
                                                      - '2'
                                                      - '3'
                                                      - '4'
                                                      - '5'
                                                      - '6'
                                                      - '7'
                                                      - '8'
                                                      - '9'
                                                      - '10'
                                                    type: string
                                                    description: Business Line
                                                  operationMethod:
                                                    enum:
                                                      - '1'
                                                      - '2'
                                                      - '3'
                                                      - '4'
                                                      - '5'
                                                    type: string
                                                    description: Operation Method
                                                  settlementType:
                                                    const: in-kind
                                                  assetType:
                                                    const: '5'
                                                required:
                                                  - operationType
                                                  - businessLine
                                                  - operationMethod
                                                  - settlementType
                                                  - assetType
                                              - type: object
                                                properties:
                                                  branchInformation:
                                                    anyOf:
                                                      - {}
                                                      - {}
                                                    description: Branch Information
                                                  operationType:
                                                    enum:
                                                      - '101'
                                                      - '102'
                                                      - '103'
                                                    type: string
                                                    description: Operation Type
                                                  businessLine:
                                                    enum:
                                                      - '1'
                                                      - '2'
                                                      - '3'
                                                      - '4'
                                                      - '5'
                                                      - '6'
                                                      - '7'
                                                      - '8'
                                                      - '9'
                                                      - '10'
                                                    type: string
                                                    description: Business Line
                                                  operationMethod:
                                                    enum:
                                                      - '1'
                                                      - '2'
                                                      - '3'
                                                      - '4'
                                                      - '5'
                                                    type: string
                                                    description: Operation Method
                                                  settlementType:
                                                    const: in-kind
                                                  assetType:
                                                    const: '6'
                                                required:
                                                  - operationType
                                                  - businessLine
                                                  - operationMethod
                                                  - settlementType
                                                  - assetType
                                              - type: object
                                                properties:
                                                  branchInformation:
                                                    anyOf:
                                                      - {}
                                                      - {}
                                                    description: Branch Information
                                                  operationType:
                                                    enum:
                                                      - '101'
                                                      - '102'
                                                      - '103'
                                                    type: string
                                                    description: Operation Type
                                                  businessLine:
                                                    enum:
                                                      - '1'
                                                      - '2'
                                                      - '3'
                                                      - '4'
                                                      - '5'
                                                      - '6'
                                                      - '7'
                                                      - '8'
                                                      - '9'
                                                      - '10'
                                                    type: string
                                                    description: Business Line
                                                  operationMethod:
                                                    enum:
                                                      - '1'
                                                      - '2'
                                                      - '3'
                                                      - '4'
                                                      - '5'
                                                    type: string
                                                    description: Operation Method
                                                  settlementType:
                                                    const: in-kind
                                                  assetType:
                                                    const: '7'
                                                required:
                                                  - operationType
                                                  - businessLine
                                                  - operationMethod
                                                  - settlementType
                                                  - assetType
                                              - type: object
                                                properties:
                                                  branchInformation:
                                                    anyOf:
                                                      - {}
                                                      - {}
                                                    description: Branch Information
                                                  operationType:
                                                    enum:
                                                      - '101'
                                                      - '102'
                                                      - '103'
                                                    type: string
                                                    description: Operation Type
                                                  businessLine:
                                                    enum:
                                                      - '1'
                                                      - '2'
                                                      - '3'
                                                      - '4'
                                                      - '5'
                                                      - '6'
                                                      - '7'
                                                      - '8'
                                                      - '9'
                                                      - '10'
                                                    type: string
                                                    description: Business Line
                                                  operationMethod:
                                                    enum:
                                                      - '1'
                                                      - '2'
                                                      - '3'
                                                      - '4'
                                                      - '5'
                                                    type: string
                                                    description: Operation Method
                                                  settlementType:
                                                    const: in-kind
                                                  assetType:
                                                    const: '8'
                                                required:
                                                  - operationType
                                                  - businessLine
                                                  - operationMethod
                                                  - settlementType
                                                  - assetType
                                              - type: object
                                                properties:
                                                  branchInformation:
                                                    anyOf:
                                                      - {}
                                                      - {}
                                                    description: Branch Information
                                                  operationType:
                                                    enum:
                                                      - '101'
                                                      - '102'
                                                      - '103'
                                                    type: string
                                                    description: Operation Type
                                                  businessLine:
                                                    enum:
                                                      - '1'
                                                      - '2'
                                                      - '3'
                                                      - '4'
                                                      - '5'
                                                      - '6'
                                                      - '7'
                                                      - '8'
                                                      - '9'
                                                      - '10'
                                                    type: string
                                                    description: Business Line
                                                  operationMethod:
                                                    enum:
                                                      - '1'
                                                      - '2'
                                                      - '3'
                                                      - '4'
                                                      - '5'
                                                    type: string
                                                    description: Operation Method
                                                  settlementType:
                                                    const: in-kind
                                                  assetType:
                                                    const: '99'
                                                required:
                                                  - operationType
                                                  - businessLine
                                                  - operationMethod
                                                  - settlementType
                                                  - assetType
                                      MJR:
                                        type: object
                                        properties:
                                          operationType:
                                            enum:
                                              - '601'
                                              - '602'
                                            type: string
                                            default: '601'
                                            description: Operation Type
                                          operationPostalCode:
                                            type: string
                                            pattern: ^\d{5}$
                                            description: Operation Postal Code
                                          goods:
                                            type: array
                                            minItems: 1
                                            items:
                                              type: object
                                              properties:
                                                goodType:
                                                  enum:
                                                    - '1'
                                                    - '2'
                                                    - '3'
                                                    - '4'
                                                    - '5'
                                                    - '6'
                                                    - '7'
                                                    - '8'
                                                    - '9'
                                                    - '10'
                                                    - '11'
                                                    - '12'
                                                  type: string
                                                  description: Good Type
                                                unit:
                                                  enum:
                                                    - '1'
                                                    - '2'
                                                    - '3'
                                                  type: string
                                                  description: Unit
                                                quantity:
                                                  anyOf:
                                                    - {}
                                                    - {}
                                                  description: Quantity
                                              required:
                                                - goodType
                                                - unit
                                            description: Goods
                                          payments:
                                            type: array
                                            minItems: 1
                                            items:
                                              type: object
                                              properties:
                                                paymentDate:
                                                  type: string
                                                  format: date
                                                  description: Payment Date
                                                paymentForm:
                                                  enum:
                                                    - '1'
                                                    - '2'
                                                    - '3'
                                                    - '4'
                                                    - '5'
                                                  type: string
                                                  description: Payment Form
                                                monetaryInstrument:
                                                  enum:
                                                    - '1'
                                                    - '2'
                                                    - '3'
                                                    - '4'
                                                    - '5'
                                                    - '6'
                                                    - '7'
                                                    - '8'
                                                    - '9'
                                                    - '10'
                                                    - '11'
                                                    - '12'
                                                    - '13'
                                                    - '14'
                                                    - '15'
                                                    - '16'
                                                    - '99'
                                                  type: string
                                                  description: Monetary Instrument
                                                currency:
                                                  type: string
                                                  description: Currency
                                                amount:
                                                  anyOf:
                                                    - {}
                                                    - {}
                                                  description: Amount
                                              required:
                                                - paymentForm
                                                - monetaryInstrument
                                                - currency
                                            description: Payments
                                        required:
                                          - operationPostalCode
                                          - goods
                                          - payments
                                      MPC:
                                        type: object
                                        properties:
                                          operationType:
                                            enum:
                                              - '401'
                                              - '402'
                                            type: string
                                            description: Operation Type
                                          postalCode:
                                            type: string
                                            pattern: ^\d{5}$
                                            description: Operation Postal Code
                                          collateral:
                                            type: array
                                            items:
                                              type: object
                                              properties:
                                                tipoGarantia:
                                                  enum:
                                                    - '2'
                                                    - '3'
                                                    - '4'
                                                    - '5'
                                                    - '6'
                                                    - '7'
                                                    - '8'
                                                    - '9'
                                                    - '10'
                                                    - '11'
                                                    - '12'
                                                    - '15'
                                                    - '99'
                                                  type: string
                                                  description: Collateral Type
                                                bienMutuo:
                                                  anyOf:
                                                    - {}
                                                    - {}
                                                  description: Bien en Mutuo
                                                guarantorClientId:
                                                  type: string
                                                  format: uuid
                                                  description: >-
                                                    Guarantor Client (linked with
                                                    role='guarantor')
                                              required:
                                                - tipoGarantia
                                            description: Collateral (datos_garantia)
                                          disbursements:
                                            type: array
                                            minItems: 1
                                            items:
                                              type: object
                                              properties:
                                                disbursementDate:
                                                  type: string
                                                  format: date
                                                  description: Disbursement Date
                                                monetaryInstrument:
                                                  enum:
                                                    - '1'
                                                    - '2'
                                                    - '3'
                                                    - '4'
                                                    - '5'
                                                    - '6'
                                                    - '7'
                                                    - '8'
                                                    - '9'
                                                    - '10'
                                                    - '11'
                                                    - '12'
                                                    - '13'
                                                    - '14'
                                                    - '15'
                                                  type: string
                                                  description: Monetary Instrument
                                                currency:
                                                  type: string
                                                  description: Currency
                                                amount:
                                                  anyOf:
                                                    - {}
                                                    - {}
                                                  description: Amount
                                              required:
                                                - monetaryInstrument
                                                - currency
                                            description: Disbursements (datos_liquidacion)
                                        required:
                                          - operationType
                                          - postalCode
                                          - disbursements
                                      TSC:
                                        type: object
                                        properties:
                                          cardType:
                                            enum:
                                              - '1'
                                              - '2'
                                            type: string
                                            description: Card Type
                                          idNumber:
                                            type: string
                                            minLength: 1
                                            maxLength: 18
                                            description: ID Number
                                          operationType:
                                            enum:
                                              - '211'
                                            type: string
                                            default: '211'
                                            description: Operation Type
                                        required:
                                          - cardType
                                          - idNumber
                                      VEH:
                                        type: object
                                        properties:
                                          operationType:
                                            enum:
                                              - '801'
                                              - '802'
                                              - '805'
                                            type: string
                                            description: Operation Type
                                          postalCode:
                                            type: string
                                            pattern: ^\d{5}$
                                            description: Operation Postal Code
                                          operationDate:
                                            type: string
                                            format: date
                                            description: Operation Date
                                          vehicles:
                                            type: array
                                            items:
                                              anyOf:
                                                - type: object
                                                  properties:
                                                    kind: {}
                                                    marcaFabricante: {}
                                                    modelo: {}
                                                    anio: {}
                                                    vin: {}
                                                    repuve: {}
                                                    placas: {}
                                                    nivelBlindaje: {}
                                                - type: object
                                                  properties:
                                                    kind: {}
                                                    marcaFabricante: {}
                                                    modelo: {}
                                                    anio: {}
                                                    numeroSerie: {}
                                                    bandera: {}
                                                    matricula: {}
                                                    nivelBlindaje: {}
                                                - type: object
                                                  properties:
                                                    kind: {}
                                                    marcaFabricante: {}
                                                    modelo: {}
                                                    anio: {}
                                                    numeroSerie: {}
                                                    bandera: {}
                                                    matricula: {}
                                                    nivelBlindaje: {}
                                            description: Vehicles (tipo_vehiculo)
                                          payments:
                                            type: array
                                            items:
                                              type: object
                                              properties:
                                                paymentDate:
                                                  type: string
                                                  format: date
                                                  description: Payment Date
                                                paymentForm:
                                                  enum:
                                                    - '1'
                                                    - '2'
                                                    - '3'
                                                    - '4'
                                                    - '5'
                                                  type: string
                                                  description: Payment Form
                                                monetaryInstrument:
                                                  enum:
                                                    - '1'
                                                    - '2'
                                                    - '3'
                                                    - '4'
                                                    - '5'
                                                    - '6'
                                                    - '7'
                                                    - '8'
                                                    - '9'
                                                    - '10'
                                                    - '11'
                                                    - '12'
                                                    - '13'
                                                    - '14'
                                                    - '15'
                                                    - '16'
                                                    - '99'
                                                  type: string
                                                  description: Monetary Instrument
                                                currency:
                                                  type: string
                                                  description: Currency
                                                amount:
                                                  anyOf:
                                                    - {}
                                                    - {}
                                                  description: Amount
                                              required:
                                                - paymentForm
                                                - currency
                                            description: Payments (datos_liquidacion)
                                        required:
                                          - operationType
                                          - postalCode
                                          - vehicles
                                  cnbv:
                                    type: object
                                    properties:
                                      TRANSMISOR:
                                        type: object
                                        properties:
                                          tipoOperacion:
                                            enum:
                                              - '00'
                                              - '01'
                                              - '02'
                                              - '03'
                                              - '04'
                                              - '05'
                                              - '06'
                                              - '07'
                                              - '08'
                                              - '09'
                                              - '10'
                                              - '11'
                                              - '12'
                                              - '13'
                                              - '14'
                                              - '15'
                                              - '16'
                                              - '17'
                                              - '18'
                                              - '19'
                                              - '20'
                                              - '21'
                                              - '22'
                                              - '23'
                                              - '24'
                                              - '25'
                                              - '26'
                                              - '27'
                                              - '28'
                                              - '29'
                                              - '30'
                                              - '31'
                                              - '32'
                                              - '33'
                                              - '34'
                                              - '35'
                                              - '36'
                                            type: string
                                            description: Operation Type
                                          instrumentoMonetario:
                                            enum:
                                              - '00'
                                              - '01'
                                              - '02'
                                              - '03'
                                              - '04'
                                              - '05'
                                              - '06'
                                              - '07'
                                              - '08'
                                              - '09'
                                            type: string
                                            description: Monetary Instrument
                                          sucursal:
                                            type: string
                                            pattern: ^[A-Za-z0-9]{1,8}$
                                            description: Branch
                                          localidad:
                                            enum:
                                              - '10100005'
                                              - '10100109'
                                              - '10100208'
                                              - '10100302'
                                              - '10100409'
                                              - '10100502'
                                              - '10100608'
                                              - '10100709'
                                              - '10100805'
                                              - '10100905'
                                              - '10101106'
                                              - '10101204'
                                              - '10101306'
                                              - '10200003'
                                              - '10200109'
                                              - '10200201'
                                              - '10200306'
                                              - '10200406'
                                              - '10200501'
                                              - '10200609'
                                              - '10200703'
                                              - '10200801'
                                              - '10200903'
                                              - '10201007'
                                              - '10201103'
                                              - '10201203'
                                              - '10201307'
                                              - '10201406'
                                              - '10201509'
                                              - '10201607'
                                              - '10201709'
                                              - '10201806'
                                              - '10201907'
                                              - '10202109'
                                              - '10202208'
                                              - '10202302'
                                              - '10202409'
                                              - '10202502'
                                              - '10202608'
                                              - '10202709'
                                              - '10202805'
                                              - '10202905'
                                              - '10203006'
                                              - '10203109'
                                              - '10203207'
                                              - '10203309'
                                              - '10203406'
                                              - '10203507'
                                              - '10203603'
                                              - '10203703'
                                              - '10203807'
                                              - '10203906'
                                              - '10204001'
                                              - '10204103'
                                              - '10204209'
                                              - '10204301'
                                              - '10204406'
                                              - '10204506'
                                              - '10204601'
                                              - '10204709'
                                              - '10204803'
                                              - '10204901'
                                              - '10205008'
                                              - '10205109'
                                              - '10205205'
                                              - '10205305'
                                              - '10205409'
                                              - '10205508'
                                              - '10205602'
                                              - '10205709'
                                              - '10205802'
                                              - '10205908'
                                              - '10206009'
                                              - '10206109'
                                              - '10206204'
                                              - '10206303'
                                              - '10206406'
                                              - '10206504'
                                              - '10206606'
                                              - '10206703'
                                              - '10206804'
                                              - '10206909'
                                              - '10207004'
                                              - '10207103'
                                              - '10207206'
                                              - '10207304'
                                              - '10207406'
                                              - '10207503'
                                              - '10207604'
                                              - '10207709'
                                              - '10207809'
                                              - '10207904'
                                              - '10208002'
                                              - '10208109'
                                              - '10208202'
                                              - '10208308'
                                              - '10208409'
                                              - '10208505'
                                              - '10208605'
[...]
